%define        git          ffbcb1e
%define        gitdate      20131128
%define        major        5
%define        libname      %mklibname    yui %{major}-ncurses
%define        develname    %mklibname    -d yui-ncurses

Name:          libyui-ncurses
Version:       2.45.0
Release:       %mkrel -c git%{gitdate} 2
Summary:       UI abstraction library - ncurses plugin
# license from libyui-ncurses.spec.in
License:       LGPLv2+
Group:         Development/C++
URL:           http://sourceforge.net/projects/libyui/
Source0:       %{name}-%{version}-%{git}.tar.bz2

BuildRequires: %{_lib}yui-devel
BuildRequires: doxygen
BuildRequires: texlive
%if %mgaver > 3
BuildRequires: texlive-dist
%endif
BuildRequires: ghostscript
BuildRequires: ncursesw-devel ncurses-devel
BuildRequires: boost-devel
BuildRequires: cmake

%description
%{summary}

#-----------------------------------------------------------------------
%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
%{summary}

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.*

#-----------------------------------------------------------------------
%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-ncurses development.

%files -n %develname
%{_libdir}/yui/lib*.so
%{_includedir}/yui
%{_libdir}/pkgconfig/libyui-ncurses.pc
%{_libdir}/cmake/libyui-ncurses
%{_datadir}/libyui
%doc %{_docdir}/libyui-ncurses%{major}


#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-%{git}
%apply_patches

%build
./bootstrap.sh
%cmake -DPREFIX=%{_prefix}  \
       -DDOC_DIR=%{_docdir} \
       -DLIB_DIR=%{_lib}    \
       -DINSTALL_DOCS=yes


%make docs

%install
rm -rf %{buildroot}
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Dec 01 2013 matteo <matteo> 2.45.0-0.git20131128.2.mga4
+ Revision: 554478
- new minor release
- fix build issue (latex error: xtab.sty not found)
- add missing br (texlive-dist)

  + anaselli <anaselli>
    - updated to upstream/master

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 2.44.0-0.git20130630.2.mga4
+ Revision: 452368
- rebuild for new boost

* Sun Jun 30 2013 anaselli <anaselli> 2.44.0-0.git20130630.1.mga4
+ Revision: 448653
- new version 2.44.0
  cleanup specfile
  license changed
- rebuilt for new libyui

* Sat Jan 12 2013 umeabot <umeabot> 2.43.2-0.git20130107.3.mga3
+ Revision: 358735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 2.43.2-0.git20130107.2.mga3
+ Revision: 341407
- Rebuilt against new libyui

* Mon Jan 07 2013 anaselli <anaselli> 2.43.2-0.git20130107.1.mga3
+ Revision: 340393
- Aligned to upstream git 2.43.2

* Sat Nov 10 2012 anaselli <anaselli> 2.43.1-0.git20121106.1.mga3
+ Revision: 316876
- Updated to yui master

* Sat Nov 03 2012 anaselli <anaselli> 2.43.1-0.git20121102.1.mga3
+ Revision: 313419
- Updated from fork https://github.com/anaselli/libyui-ncurses to add missed functions

* Mon Oct 29 2012 anaselli <anaselli> 2.43.1-0.git20121018.1.mga3
+ Revision: 311528
- new version 2.43.1 from git

* Sun Sep 16 2012 anaselli <anaselli> 2.42.2-0.git20120908.1.mga3
+ Revision: 294608
- new git version 2.42.2 506268f
  added documentation
  used git date to allow package upgrading

* Sun Jul 22 2012 anaselli <anaselli> 2.42.2-0.git.31e4c26.1.mga3
+ Revision: 273597
- new libyui-ncurses from git 2.42.2
  added patch to fix form() parameters build error

* Mon Jul 02 2012 matteo <matteo> 2.21.3-1.mga3
+ Revision: 266797
- spec file reviewed
- imported package libyui-ncurses

  + anaselli <anaselli>
    - fixed for libyui-ncurses 2.21.3

